## libwacom 1.1

=== meson_options.txt ===
option('udev-dir',
       type: 'string',
       value: '',
       description: 'udev base directory [default=$prefix/lib/udev]')
option('tests',
       type: 'boolean',
       value: true,
       description: 'Build the tests [default=true]')

## libwacom 0.4

=== debian/changelog ===
libwacom (0.4-1ubuntu1) precise-proposed; urgency=low

  * Merge from debian unstable, remaining changes: none.
  * Add libwacom-tablet-description-fix.patch which adds a new stylus id
    for the bamboo-pen-and-touch definition so that gnome-settings-daemon
    won't crash due to an unknown stylus, thanks Edward Donovan!
    (LP: #934445)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 30 Mar 2012 13:10:06 +0300

libwacom (0.4-1) unstable; urgency=low

  * New upstream release. (Closes: #667064)
    - Add Intuos 5, Bamboo One definitions
  * Drop git_touchpad_tablet.patch, included upstream.
  * Add git-add-missing-buttons.patch, missing button sections for Intuos
    and Cintiq series.
  * libwacom2.symbols: Add a new symbol.
  * control: Add DM-Upload-Allowed field.
  * copyright: Update the format url.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 30 Mar 2012 11:28:44 +0300

libwacom (0.3-1) unstable; urgency=low

  * Initial upload. Closes: #659700
  * git_touchpad_tablet.patch: "Don't fail to create WacomDevice for Touch"
    should fix gnome-settings-daemon segfault on some devices.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 20 Mar 2012 19:33:21 +0200

=== debian/control ===
Source: libwacom
Section: libs
Priority: optional
Maintainer: Timo Aaltonen <tjaalton@ubuntu.com>
Build-Depends: debhelper (>= 9),
 dh-autoreconf,
 libglib2.0-dev,
 libgudev-1.0-dev,
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/libwacom.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libwacom.git;a=summary
DM-Upload-Allowed: yes

Package: libwacom2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libwacom-common (= ${source:Version}),
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Wacom model feature query library
 libwacom is a library to identify wacom tablets and their model-specific
 features. It provides easy access to information such as "is this a built-in
 on-screen tablet", "what is the size of this model", etc.

Package: libwacom-common
Section: libs
Architecture: all
Depends: ${misc:Depends},
Replaces: libwacom0 (<= 0.2-1)
Multi-Arch: foreign
Description: Wacom model feature query library (common files)
 libwacom is a library to identify wacom tablets and their model-specific
 features. It provides easy access to information such as "is this a built-in
 on-screen tablet", "what is the size of this model", etc.
 .
 This package contains common data files for libwacom.

Package: libwacom-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libwacom2 (= ${binary:Version}),
 libglib2.0-dev,
Recommends: pkg-config
Description: Wacom model feature query library (development files)
 libwacom is a library to identify wacom tablets and their model-specific
 features. It provides easy access to information such as "is this a built-in
 on-screen tablet", "what is the size of this model", etc.
 .
 This package contains the development files for libwacom.

Package: libwacom2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 libwacom2 (= ${binary:Version}),
Multi-Arch: same
Description: Wacom model feature query library (debug files)
 libwacom is a library to identify wacom tablets and their model-specific
 features. It provides easy access to information such as "is this a built-in
 on-screen tablet", "what is the size of this model", etc.
 .
 This package contains the debug files for libwacom.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_strip:
	dh_strip -plibwacom2 --dbg-package=libwacom2-dbg

common-binary-predeb-arch:: list-missing

%:
	dh $@ --with autoreconf --builddirectory=build/

## libwacom 0.6

=== debian/changelog ===
libwacom (0.6-1) unstable; urgency=low

  * New upstream release.
    - fixes crashers when the stylus definition is missing from the database
  * Drop all patches, found upstream.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Sat, 29 Sep 2012 14:08:57 +0300

libwacom (0.5-1) unstable; urgency=low

  * New upstream release.
  * git-add-missing-buttons.patch dropped, upstream.
  * Add crasher fixes from upstream
    - git-fix-generic-stylus-missing-an-eraser.patch
    - git-add-generic-eraser-to-bamboo.patch
  * Add fixes from the mailing list
    - fix-an-error-message.patch
    - fix-null-assert.patch
  * libwacom2.symbols: Add new symbols.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 01 Jun 2012 00:12:50 +0300

## libwacom 0.7

=== debian/changelog ===
libwacom (0.7-1ubuntu2) saucy; urgency=low

  * update-to-git.diff: Pull changes up to current git master, since
    cherry-picking stuff seems pointless and fragile (FTBFS). Adds new
    model & styli definitions, fixes typos etc.
  * add-intuos-pro.diff: Dropped, included above.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Sun, 06 Oct 2013 16:42:07 +0300

libwacom (0.7-1ubuntu1) saucy; urgency=low

  * add-intuos-pro.diff: Add data for Intuos Pro. (LP: #1234811)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Sat, 05 Oct 2013 09:41:41 +0300

libwacom (0.7-1) experimental; urgency=low

  * New upstream release.
  * libwacom2.symbols: Updated.
  * control: Drop DM-Upload-Allowed, obsolete
  * control: Update policy to 3.9.4, no changes.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 18 Jan 2013 10:51:16 +0200

## libwacom 0.8

=== debian/changelog ===
libwacom (0.8-1) unstable; urgency=low

  * New upstream release.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Sun, 13 Oct 2013 00:03:43 +0300

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,9 @@
  dh-autoreconf,
  libglib2.0-dev,
  libgudev-1.0-dev,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/collab-maint/libwacom.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/libwacom.git;a=summary
-DM-Upload-Allowed: yes
 
 Package: libwacom2
 Architecture: any

=== debian/watch ===
version=3
http://sf.net/linuxwacom/libwacom-([\d\.]*)\.tar\.bz2

## libwacom 0.11+dfsg

=== debian/changelog ===
libwacom (0.11+dfsg-0ubuntu1) vivid; urgency=medium

  * Merge from unreleased debian git.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 04 Feb 2015 17:43:42 +0200

libwacom (0.11+dfsg-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Build tarball from the git tree, skipping doc/html.
  * control:
    - update my email
    - bump policy to 3.9.6, no changes
    - update vcs urls
    - add libwacom-bin and it's build-deps
  * symbols: Add a new symbol.
  * rules:
    - add get-orig-source target which generates the tarball from git
    - use --fail-missing
    - install to debian/tmp
  * gbp.conf: Added.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 12 Aug 2014 14:14:23 +0300

=== debian/rules ===
#!/usr/bin/make -f

# Install in debian/tmp to retain control through dh_install:
override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	find debian/tmp -name '*.la' -delete
	dh_install --fail-missing

override_dh_strip:
	dh_strip -plibwacom2 --dbg-package=libwacom2-dbg
	dh_strip -plibwacom-bin

get-orig-source: SOURCE=libwacom
get-orig-source: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
get-orig-source:
	git archive --format=tar upstream --prefix=$(SOURCE)-$(UV)/ \
	    | xz --best > ../$(SOURCE)_$(UV).orig.tar.xz

%:
	dh $@ --with autoreconf --builddirectory=build/

## libwacom 0.15

=== debian/changelog ===
libwacom (0.15-1) unstable; urgency=medium

  * New upstream release. (Closes: #781103)
  * control:
    - update my email
    - bump policy to 3.9.6, no changes
    - update vcs urls
    - add libwacom-bin and it's build-deps
  * symbols: Add a new symbol.
  * rules:
    - use --fail-missing
    - install to debian/tmp
  * gbp.conf: Added.
  * copyright: Exclude doc/html from the tarball.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 16 Aug 2015 00:59:05 +0300

## libwacom 0.18

=== debian/changelog ===
libwacom (0.18-1) unstable; urgency=medium

  * New upstream release. (LP: #1534965)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Jan 2016 09:53:01 +0200

libwacom (0.17-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 15 Dec 2015 10:01:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,41 @@
 Source: libwacom
 Section: libs
 Priority: optional
-Maintainer: Timo Aaltonen <tjaalton@ubuntu.com>
+Maintainer: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends: debhelper (>= 9),
  dh-autoreconf,
  libglib2.0-dev,
+ libgtk2.0-dev,
  libgudev-1.0-dev,
-Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/collab-maint/libwacom.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/libwacom.git;a=summary
+ librsvg2-dev,
+ libxml2-dev,
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/collab-maint/libwacom.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/libwacom.git
 
 Package: libwacom2
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libwacom-common (= ${source:Version}),
+Recommends:
+ libwacom-bin (= ${binary:Version}),
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: Wacom model feature query library
  libwacom is a library to identify wacom tablets and their model-specific
  features. It provides easy access to information such as "is this a built-in
  on-screen tablet", "what is the size of this model", etc.
+
+Package: libwacom-bin
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends},
+Multi-Arch: foreign
+Description: Wacom model feature query library -- binaries
+ libwacom is a library to identify wacom tablets and their model-specific
+ features. It provides easy access to information such as "is this a built-in
+ on-screen tablet", "what is the size of this model", etc.
+ .
+ This package contains the utilities which are used by the libraries.
 
 Package: libwacom-common
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f

# Install in debian/tmp to retain control through dh_install:
override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	find debian/tmp -name '*.la' -delete
	dh_install --fail-missing

override_dh_strip:
	dh_strip -plibwacom2 --dbg-package=libwacom2-dbg
	dh_strip -plibwacom-bin

%:
	dh $@ --with autoreconf --builddirectory=build/

=== debian/watch ===
#git=git://git.code.sf.net/p/linuxwacom/libwacom
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
http://sf.net/linuxwacom/libwacom-([\d\.]*)\.tar\.bz2

## libwacom 0.19

=== debian/changelog ===
libwacom (0.19-1) unstable; urgency=medium

  * New upstream release.
  * Add udebs for the installer. (Closes: #815717)
  * copyright: Drop trailing / from Files-Excluded.
  * control: Use https urls.
  * control: Bump policy to 3.9.8, no changes.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 May 2016 11:33:14 +0300

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,11 @@
 	find debian/tmp -name '*.la' -delete
 	dh_install --fail-missing
 
+override_dh_makeshlibs:
+	dh_makeshlibs -plibwacom2 -V --add-udeb="libwacom2-udeb" -- -c4
+
 override_dh_strip:
-	dh_strip -plibwacom2 --dbg-package=libwacom2-dbg
+	dh_strip --dbg-package=libwacom2-dbg
 	dh_strip -plibwacom-bin
 
 %:

## libwacom 0.22

=== debian/changelog ===
libwacom (0.22-1~ubuntu16.04.1) xenial; urgency=medium

  * Backport to xenial. (LP: #1687981)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 04 May 2017 15:10:08 +0300

libwacom (0.22-1) unstable; urgency=medium

  * New upstream release.
  * symbols: Updated.
  * rules, common*.install: Generate udev rules and install them.
    (Closes: #827671)

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 17 Sep 2016 09:30:58 +0300

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
  libgudev-1.0-dev,
  librsvg2-dev,
  libxml2-dev,
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/libwacom.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/libwacom.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/collab-maint/libwacom.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libwacom.git
 
 Package: libwacom2
 Architecture: any
@@ -25,6 +25,15 @@
  libwacom is a library to identify wacom tablets and their model-specific
  features. It provides easy access to information such as "is this a built-in
  on-screen tablet", "what is the size of this model", etc.
+
+Package: libwacom2-udeb
+XC-Package-Type: udeb
+Section: debian-installer
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ libwacom-common-udeb (= ${source:Version}),
+Description: Wacom model feature query library
+ This is a udeb, or a microdeb, for the debian-installer.
 
 Package: libwacom-bin
 Architecture: any
@@ -49,6 +58,14 @@
  on-screen tablet", "what is the size of this model", etc.
  .
  This package contains common data files for libwacom.
+
+Package: libwacom-common-udeb
+XC-Package-Type: udeb
+Section: debian-installer
+Architecture: all
+Depends: ${misc:Depends},
+Description: Wacom model feature query library (common files)
+ This is a udeb, or a microdeb, for the debian-installer.
 
 Package: libwacom-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 
 override_dh_install:
 	find debian/tmp -name '*.la' -delete
+	mkdir -p debian/tmp/lib/udev/rules.d/
+	build/tools/generate-udev-rules > debian/tmp/lib/udev/rules.d/65-libwacom.rules
 	dh_install --fail-missing
 
 override_dh_makeshlibs:

## libwacom 0.24

=== debian/changelog ===
libwacom (0.24-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 04 May 2017 15:06:17 +0300

## libwacom 0.29

=== debian/changelog ===
libwacom (0.29-1) unstable; urgency=medium

  * New upstream release.
  * watch: Updated.
  * control: Update VCS urls.
  * Bump debhelper to 10.
  * control: Bump policy to 4.1.3, no changes.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 14 Mar 2018 10:05:38 +0200

libwacom (0.26-1) unstable; urgency=medium

  * New upstream release. (Closes: #872871)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 21 Sep 2017 14:50:34 +0300

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: libs
 Priority: optional
 Maintainer: Timo Aaltonen <tjaalton@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
  dh-autoreconf,
  libglib2.0-dev,
  libgtk2.0-dev,
  libgudev-1.0-dev,
  librsvg2-dev,
  libxml2-dev,
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/collab-maint/libwacom.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libwacom.git
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/debian/libwacom.git
+Vcs-Browser: https://salsa.debian.org/debian/libwacom.git
 
 Package: libwacom2
 Architecture: any

## libwacom 0.30

=== debian/changelog ===
libwacom (0.30-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 05 Aug 2018 00:57:28 +0300

## libwacom 0.32

=== debian/changelog ===
libwacom (0.32-1) unstable; urgency=medium

  * New upstream release.
  * Bump compat to 11, drop dh-autoreconf from build-depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 28 Feb 2019 11:14:43 +0200

libwacom (0.31-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1

  [ Timo Aaltonen ]
  * New upstream release.
  * rules: Migrate to dh_missing.
  * libwacom-bin.install: Add a manpage.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 17 Oct 2018 10:12:32 +0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Timo Aaltonen <tjaalton@debian.org>
-Build-Depends: debhelper (>= 10),
- dh-autoreconf,
+Build-Depends: debhelper (>= 11),
  libglib2.0-dev,
  libgtk2.0-dev,
  libgudev-1.0-dev,
@@ -83,7 +82,6 @@
 
 Package: libwacom2-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Depends: ${misc:Depends},
  libwacom2 (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,10 @@
 	find debian/tmp -name '*.la' -delete
 	mkdir -p debian/tmp/lib/udev/rules.d/
 	build/tools/generate-udev-rules > debian/tmp/lib/udev/rules.d/65-libwacom.rules
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_makeshlibs:
 	dh_makeshlibs -plibwacom2 -V --add-udeb="libwacom2-udeb" -- -c4
@@ -18,4 +21,4 @@
 	dh_strip -plibwacom-bin
 
 %:
-	dh $@ --with autoreconf --builddirectory=build/
+	dh $@ --builddirectory=build/

## libwacom 1.1

=== debian/changelog ===
libwacom (1.1-1) unstable; urgency=medium

  * New upstream release.
  * rules: Use udev rules file from the build.
  * symbols: Updated.
  * Switch to meson.
  * control: Bump policy to 4.4.1.
  * Bump debhelper to 12.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 04 Oct 2019 12:50:43 +0300

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: libs
 Priority: optional
 Maintainer: Timo Aaltonen <tjaalton@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
+ meson,
  libglib2.0-dev,
  libgtk2.0-dev,
  libgudev-1.0-dev,
  librsvg2-dev,
  libxml2-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/debian/libwacom.git
 Vcs-Browser: https://salsa.debian.org/debian/libwacom.git

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dudev-dir=/lib/udev

override_dh_install:
	find debian/tmp -name '*.la' -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -plibwacom2 -V --add-udeb="libwacom2-udeb" -- -c4

override_dh_strip:
	dh_strip --dbg-package=libwacom2-dbg
	dh_strip -plibwacom-bin

%:
	dh $@ \
		--builddirectory=build/ \
		--buildsystem=meson

## libwacom 1.3

=== debian/changelog ===
libwacom (1.3-2ubuntu3) focal; urgency=medium

  * The previous revision failed to build due to some issues with the
    backport of the feature to the old version, fix the problems
    with those changes
    - d/p/meson-build-auto-test.patch: 
      include the new tablet files in the list of data files to install
    - d/p/split_EMR_specific_stylus_tests.patch,
    - d/p/introduce_WSTYLUS_MOBILE_type.patch:
      cherry pick test fixes to match the code changes

 -- Bin Li <bin.li@canonical.com>  Wed, 21 Apr 2021 18:16:53 +0800

libwacom (1.3-2ubuntu2) focal; urgency=medium

  * Support isdv4-aes stylus group and multiple AES stylus definitions.
    (LP: #1921991)

 -- Bin Li <bin.li@canonical.com>  Wed, 31 Mar 2021 13:10:28 +0800

libwacom (1.3-2ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Double svg-layout-exists test timeout for riscv64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Apr 2020 14:58:39 +0200

libwacom (1.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Transition to automatic debug package (from: libwacom2-dbg).
  * Set upstream metadata fields: Repository.
  * Replace XC-Package-Type with Package-Type.
  * Use canonical URL in Vcs-Browser.

  [ Timo Aaltonen ]
  * control: Add libgudev-1.0-dev to -dev depends. Fixes the
    autopkgtest.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 04 Apr 2020 22:05:09 +0300

libwacom (1.3-1ubuntu1) focal; urgency=medium

  * Double svg-layout-exists test timeout for riscv64.

 -- William Grant <wgrant@ubuntu.com>  Sat, 04 Apr 2020 10:29:29 +1100

libwacom (1.3-1) unstable; urgency=medium

  * New upstream release.
  * control: Use debhelper-compat, bump to 12.
  * tests: Make autopkgtests cross-test-friendly. (Closes: #946535)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 27 Mar 2020 10:21:15 +0200

libwacom (1.1-2) unstable; urgency=medium

  [ Simon McVittie ]
  * control: Mark libwacom-dev M-A: same. (Closes: #935409)
  * d/tests: Add a superficial test for linking with libwacom.

  [ Debian Janitor ]
  * Transition to automatic debug package (from: libwacom2-dbg).
  * Set upstream metadata fields: Repository.
  * Replace XC-Package-Type with Package-Type.
  * Use canonical URL in Vcs-Browser.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 21 Nov 2019 18:20:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: libwacom
 Section: libs
 Priority: optional
-Maintainer: Timo Aaltonen <tjaalton@debian.org>
-Build-Depends: debhelper (>= 12),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Timo Aaltonen <tjaalton@debian.org>
+Build-Depends: debhelper-compat (= 12),
  meson,
  libglib2.0-dev,
  libgtk2.0-dev,
@@ -11,7 +12,7 @@
  libxml2-dev,
 Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/debian/libwacom.git
-Vcs-Browser: https://salsa.debian.org/debian/libwacom.git
+Vcs-Browser: https://salsa.debian.org/debian/libwacom
 
 Package: libwacom2
 Architecture: any
@@ -27,7 +28,7 @@
  on-screen tablet", "what is the size of this model", etc.
 
 Package: libwacom2-udeb
-XC-Package-Type: udeb
+Package-Type: udeb
 Section: debian-installer
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -60,7 +61,7 @@
  This package contains common data files for libwacom.
 
 Package: libwacom-common-udeb
-XC-Package-Type: udeb
+Package-Type: udeb
 Section: debian-installer
 Architecture: all
 Depends: ${misc:Depends},
@@ -70,9 +71,11 @@
 Package: libwacom-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libwacom2 (= ${binary:Version}),
  libglib2.0-dev,
+ libgudev-1.0-dev,
 Recommends: pkg-config
 Description: Wacom model feature query library (development files)
  libwacom is a library to identify wacom tablets and their model-specific
@@ -80,16 +83,3 @@
  on-screen tablet", "what is the size of this model", etc.
  .
  This package contains the development files for libwacom.
-
-Package: libwacom2-dbg
-Section: debug
-Architecture: any
-Depends: ${misc:Depends},
- libwacom2 (= ${binary:Version}),
-Multi-Arch: same
-Description: Wacom model feature query library (debug files)
- libwacom is a library to identify wacom tablets and their model-specific
- features. It provides easy access to information such as "is this a built-in
- on-screen tablet", "what is the size of this model", etc.
- .
- This package contains the debug files for libwacom.

## libwacom 1.8

=== meson_options.txt ===
option('documentation',
       type: 'feature',
       value: 'auto',
       description: 'Build doxygen documentation [default=auto]')
option('udev-dir',
       type: 'string',
       value: '',
       description: 'udev base directory [default=$prefix/lib/udev]')
option('tests',
       type: 'feature',
       value: 'enabled',
       description: 'Build the tests [default=enabled]')

=== debian/changelog ===
libwacom (1.8-2) unstable; urgency=medium

  * rules: Fix disabling/enabling tests. (Closes: #981419)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 12 Feb 2021 11:03:38 +0200

libwacom (1.8-1) unstable; urgency=medium

  * New upstream release.
  * control, rules: Support disabling tests with nocheck (Closes: #981419)
  * dont-install-test-files.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 10 Feb 2021 11:56:25 +0200

libwacom (1.7-1) unstable; urgency=medium

  * New upstream release.
  * control: add python3-libevdev, python3-pytest, python3-pyudev,
    systemd and udev to build-depends for tests.
  * dont-install-test-files.diff: Add a commit from master to fix a typo
    so that test files don't get installed.
  * Drop the udeb, libinput udeb no longer needs it.
  * rules: Remove pycache files before dh_install.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 23 Dec 2020 12:00:31 +0200

libwacom (1.6-1) unstable; urgency=medium

  * New upstream release.
  * add-test-timeout.diff: Add 60s timeout for riscv64.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 14 Nov 2020 12:22:27 +0200

libwacom (1.5-1) unstable; urgency=medium

  * New upstream release.
  * control: Drop libgtk2.0-dev and librsvg2-dev from build-depends.
    (Closes: #967590)
  * control: Bump policy to 4.5.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 09 Sep 2020 17:38:41 +0300

libwacom (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Add hwdb to libwacom-common.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 30 Jul 2020 11:51:22 +0300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: libwacom
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Timo Aaltonen <tjaalton@debian.org>
+Maintainer: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends: debhelper-compat (= 12),
  meson,
  libglib2.0-dev,
- libgtk2.0-dev,
  libgudev-1.0-dev,
- librsvg2-dev,
- libxml2-dev,
-Standards-Version: 4.4.1
+ libxml2-dev <!nocheck>,
+ python3-libevdev <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pyudev <!nocheck>,
+ systemd <!nocheck>,
+ udev <!nocheck>,
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/libwacom.git
 Vcs-Browser: https://salsa.debian.org/debian/libwacom
 
@@ -26,15 +28,6 @@
  libwacom is a library to identify wacom tablets and their model-specific
  features. It provides easy access to information such as "is this a built-in
  on-screen tablet", "what is the size of this model", etc.
-
-Package: libwacom2-udeb
-Package-Type: udeb
-Section: debian-installer
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- libwacom-common-udeb (= ${source:Version}),
-Description: Wacom model feature query library
- This is a udeb, or a microdeb, for the debian-installer.
 
 Package: libwacom-bin
 Architecture: any
@@ -60,14 +53,6 @@
  .
  This package contains common data files for libwacom.
 
-Package: libwacom-common-udeb
-Package-Type: udeb
-Section: debian-installer
-Architecture: all
-Depends: ${misc:Depends},
-Description: Wacom model feature query library (common files)
- This is a udeb, or a microdeb, for the debian-installer.
-
 Package: libwacom-dev
 Section: libdevel
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dudev-dir=/lib/udev \
		-Dtests=$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),dis,en)abled

override_dh_install:
	find debian/tmp -name '*.la' -delete
	rm -rf debian/tmp/usr/share/libwacom/__pycache__
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_strip:
	dh_strip --dbgsym-migration='libwacom2-dbg (<< 1.1-2~)'
	dh_strip -plibwacom-bin

%:
	dh $@ \
		--builddirectory=build/ \
		--buildsystem=meson

=== debian/watch ===
#git=https://github.com/linuxwacom/libwacom.git
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libwacom-$1.tar.gz%" \
https://github.com/linuxwacom/libwacom/tags \
  (?:.*?/)?libwacom-?(\d[\d.]*)\.tar\.gz

## libwacom 1.12

=== debian/changelog ===
libwacom (1.12-1) unstable; urgency=medium

  * New upstream version.
  * rules: Don't build with lto, the test cases (at least test-
    deprecated) need fixes.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 27 Oct 2021 12:48:14 +0300

libwacom (1.11-1) unstable; urgency=medium

  * New upstream release.
  * add-test-timeout.diff: Dropped, obsolete.
  * install: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 30 Aug 2021 13:38:33 +0300

## libwacom 2.2.0

=== debian/changelog ===
libwacom (2.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 01 Apr 2022 09:58:28 +0300

libwacom (2.1.0-2) unstable; urgency=medium

  * rules: Bump test timeout. (Closes: #1005966)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 18 Feb 2022 15:50:21 +0200

libwacom (2.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 18 Feb 2022 06:51:20 +0200

libwacom (2.0.0-2) unstable; urgency=medium

  * No-change upload for migration.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 11 Feb 2022 14:12:21 +0200

libwacom (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump soname to 9.
  * control: Drop old Replaces.
  * control: Bump debhelper to 13.
  * control: Add python3:any dependency to libwacom-bin.
  * control: Bump policy to 4.6.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 02 Feb 2022 15:30:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Timo Aaltonen <tjaalton@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  meson,
  libglib2.0-dev,
  libgudev-1.0-dev,
@@ -12,11 +12,11 @@
  python3-pyudev <!nocheck>,
  systemd <!nocheck>,
  udev <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/debian/libwacom.git
 Vcs-Browser: https://salsa.debian.org/debian/libwacom
 
-Package: libwacom2
+Package: libwacom9
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libwacom-common (= ${source:Version}),
@@ -32,6 +32,7 @@
 Package: libwacom-bin
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
+ python3:any,
 Multi-Arch: foreign
 Description: Wacom model feature query library -- binaries
  libwacom is a library to identify wacom tablets and their model-specific
@@ -44,7 +45,6 @@
 Section: libs
 Architecture: all
 Depends: ${misc:Depends},
-Replaces: libwacom0 (<= 0.2-1)
 Multi-Arch: foreign
 Description: Wacom model feature query library (common files)
  libwacom is a library to identify wacom tablets and their model-specific
@@ -58,7 +58,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libwacom2 (= ${binary:Version}),
+ libwacom9 (= ${binary:Version}),
  libglib2.0-dev,
  libgudev-1.0-dev,
 Recommends: pkg-config

=== debian/tests/control ===
Tests: build
Depends: build-essential, libwacom-dev
Restrictions: superficial

## libwacom 2.4.0

=== debian/changelog ===
libwacom (2.4.0-3) unstable; urgency=medium

  * control: Demote libwacom9 dependency on libwacom-bin to Suggests.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 23 Aug 2022 19:35:32 +0300

libwacom (2.4.0-2) unstable; urgency=medium

  * control: Add python3-libevdev, -pyudev to -bin depends. (Closes:
    #1017065)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 15 Aug 2022 09:19:41 +0300

libwacom (2.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 29 Jul 2022 10:56:35 +0300

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libwacom-common (= ${source:Version}),
-Recommends:
+Suggests:
  libwacom-bin (= ${binary:Version}),
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -33,6 +33,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  python3:any,
+ python3-libevdev,
+ python3-pyudev,
 Multi-Arch: foreign
 Description: Wacom model feature query library -- binaries
  libwacom is a library to identify wacom tablets and their model-specific

## libwacom 2.6.0

=== debian/changelog ===
libwacom (2.6.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Remove field Section on binary package libwacom-common that duplicates
    source.

  [ Timo Aaltonen ]
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 14 Feb 2023 17:31:07 +0200

libwacom (2.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 03 Nov 2022 16:21:18 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-pyudev <!nocheck>,
  systemd <!nocheck>,
  udev <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/libwacom.git
 Vcs-Browser: https://salsa.debian.org/debian/libwacom
 
@@ -44,7 +44,6 @@
  This package contains the utilities which are used by the libraries.
 
 Package: libwacom-common
-Section: libs
 Architecture: all
 Depends: ${misc:Depends},
 Multi-Arch: foreign

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,14 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dudev-dir=/lib/udev \
 		-Dtests=$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),dis,en)abled
+
+override_dh_auto_test:
+	dh_auto_test -- --timeout-multiplier=10
 
 override_dh_install:
 	find debian/tmp -name '*.la' -delete

## libwacom 2.7.0

=== debian/changelog ===
libwacom (2.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Aug 2023 12:01:22 +0300

## libwacom 2.8.0

=== debian/changelog ===
libwacom (2.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 15 Sep 2023 11:07:02 +0300

## libwacom 2.9.0

=== debian/changelog ===
libwacom (2.9.0-1) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Use udev.pc to place udev files

  [ Timo Aaltonen ]
  * ci: Add gitlab-ci.yml.
  * control: Add libevdev-dev to build-depends.
  * symbols: Updated.
  * control: Drop useless systemd from build-depends. (Closes: #1060512)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 12 Jan 2024 11:34:36 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,15 @@
 Maintainer: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends: debhelper-compat (= 13),
  meson,
+ libevdev-dev,
  libglib2.0-dev,
  libgudev-1.0-dev,
  libxml2-dev <!nocheck>,
+ pkgconf,
  python3-libevdev <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pyudev <!nocheck>,
- systemd <!nocheck>,
+ systemd-dev,
  udev <!nocheck>,
 Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/libwacom.git

## libwacom 2.10.0

=== debian/changelog ===
libwacom (2.10.0-2) unstable; urgency=medium

  * control: Relax dependency on libwacom-common.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 31 Mar 2024 13:29:48 +0300

libwacom (2.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 23 Feb 2024 22:23:04 +0200

libwacom (2.9.0-2) unstable; urgency=medium

  * control: Add libevdev-dev to libwacom-dev depends. (Closes:
    #1060687)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 22 Jan 2024 17:18:38 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 Package: libwacom9
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libwacom-common (= ${source:Version}),
+ libwacom-common,
 Suggests:
  libwacom-bin (= ${binary:Version}),
 Pre-Depends: ${misc:Pre-Depends}
@@ -62,6 +62,7 @@
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libwacom9 (= ${binary:Version}),
+ libevdev-dev,
  libglib2.0-dev,
  libgudev-1.0-dev,
 Recommends: pkg-config

## libwacom 2.13.0

=== debian/changelog ===
libwacom (2.13.0-1) unstable; urgency=medium

  * New upstream release.
  * install: Updated.
  * control: Migrate to pkgconf.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 25 Sep 2024 11:09:28 +0300

## libwacom 2.14.0

=== debian/changelog ===
libwacom (2.14.0-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:18:12 +0200

libwacom (2.14.0-1) unstable; urgency=medium

  * New upstream release.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 Feb 2025 10:15:37 +0200

## libwacom 2.16.1

=== meson_options.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 option('documentation',
        type: 'feature',
-       value: 'auto',
+       value: 'disabled',
        description: 'Build doxygen documentation [default=auto]')
 option('udev-dir',
        type: 'string',
@@ -10,4 +10,3 @@
        type: 'feature',
        value: 'enabled',
        description: 'Build the tests [default=enabled]')
-

=== debian/changelog ===
libwacom (2.16.1-1) unstable; urgency=medium

  * New upstream release.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 12 Aug 2025 08:57:56 +0300

=== debian/control ===
--- 
+++ 
@@ -65,7 +65,7 @@
  libevdev-dev,
  libglib2.0-dev,
  libgudev-1.0-dev,
-Recommends: pkg-config
+Recommends: pkgconf
 Description: Wacom model feature query library (development files)
  libwacom is a library to identify wacom tablets and their model-specific
  features. It provides easy access to information such as "is this a built-in

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,11 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
+export deb_udevdir = $(shell pkg-config --variable=udevdir udev | sed s,^/,,)
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Dudev-dir=/lib/udev \
+		-Dudev-dir=/$(deb_udevdir) \
 		-Dtests=$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),dis,en)abled
 
 override_dh_auto_test:

## libwacom 2.18.0

=== debian/changelog ===
libwacom (2.18.0-1) unstable; urgency=medium

  * New upstream release.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 13 Feb 2026 10:09:26 +0200
